Index: uspace/lib/usbdev/src/request.c
===================================================================
--- uspace/lib/usbdev/src/request.c	(revision b4b534ac1d1515633baff0d563e9c16938bfe19f)
+++ uspace/lib/usbdev/src/request.c	(revision 8b6aa3923668ec2fbb91e100c43265f2f32fe31c)
@@ -50,19 +50,21 @@
  * @see usb_pipe_control_write
  *
- * @param pipe Pipe used for the communication.
+ * @param pipe         Pipe used for the communication.
  * @param request_type Request type (standard/class/vendor).
- * @param recipient Request recipient (e.g. device or endpoint).
- * @param request Actual request (e.g. GET_DESCRIPTOR).
- * @param value Value of @c wValue field of setup packet
- *	(must be in USB endianness).
- * @param index Value of @c wIndex field of setup packet
- *	(must be in USB endianness).
- * @param data Data to be sent during DATA stage
- *	(expected to be in USB endianness).
- * @param data_size Size of the @p data buffer (in native endianness).
+ * @param recipient    Request recipient (e.g. device or endpoint).
+ * @param request      Actual request (e.g. GET_DESCRIPTOR).
+ * @param value        Value of @c wValue field of setup packet
+ *                     (must be in USB endianness).
+ * @param index        Value of @c wIndex field of setup packet
+ *                     (must be in USB endianness).
+ * @param data         Data to be sent during DATA stage
+ *                     (expected to be in USB endianness).
+ * @param data_size     Size of the @p data buffer (in native endianness).
+ *
  * @return Error code.
  * @retval EBADMEM @p pipe is NULL.
  * @retval EBADMEM @p data is NULL and @p data_size is not zero.
  * @retval ERANGE Data buffer too large.
+ *
  */
 int usb_control_request_set(usb_pipe_t *pipe,
@@ -100,27 +102,29 @@
 }
 
- /** Generic wrapper for GET requests using standard control request format.
-  *
-  * @see usb_pipe_control_read
-  *
-  * @param pipe Pipe used for the communication.
-  * @param request_type Request type (standard/class/vendor).
-  * @param recipient Request recipient (e.g. device or endpoint).
-  * @param request Actual request (e.g. GET_DESCRIPTOR).
-  * @param value Value of @c wValue field of setup packet
-  *	(must be in USB endianness).
-  * @param index Value of @c wIndex field of setup packet
-  *	(must be in USB endianness).
-  * @param data Buffer where to store data accepted during the DATA stage.
-  *	(they will come in USB endianness).
-  * @param data_size Size of the @p data buffer
-  *	(in native endianness).
-  * @param actual_data_size Actual size of transfered data
-  *	(in native endianness).
-  * @return Error code.
-  * @retval EBADMEM @p pipe is NULL.
-  * @retval EBADMEM @p data is NULL and @p data_size is not zero.
-  * @retval ERANGE Data buffer too large.
-  */
+/** Generic wrapper for GET requests using standard control request format.
+ *
+ * @see usb_pipe_control_read
+ *
+ * @param pipe             Pipe used for the communication.
+ * @param request_type     Request type (standard/class/vendor).
+ * @param recipient        Request recipient (e.g. device or endpoint).
+ * @param request          Actual request (e.g. GET_DESCRIPTOR).
+ * @param value            Value of @c wValue field of setup packet
+ *                         (must be in USB endianness).
+ * @param index            Value of @c wIndex field of setup packet
+ *                         (must be in USB endianness).
+ * @param data             Buffer where to store data accepted during
+ *                         the DATA stage (they will come in USB endianness).
+ * @param data_size        Size of the @p data buffer
+ *                         (in native endianness).
+ * @param actual_data_size Actual size of transfered data
+ *                         (in native endianness).
+ *
+ * @return Error code.
+ * @retval EBADMEM @p pipe is NULL.
+ * @retval EBADMEM @p data is NULL and @p data_size is not zero.
+ * @retval ERANGE Data buffer too large.
+ *
+ */
 int usb_control_request_get(usb_pipe_t *pipe,
     usb_request_type_t request_type, usb_request_recipient_t recipient,
@@ -209,6 +213,5 @@
 {
 	if (request_type == USB_REQUEST_TYPE_STANDARD) {
-		if ((recipient == USB_REQUEST_RECIPIENT_DEVICE) && (index != 0))
-		{
+		if ((recipient == USB_REQUEST_RECIPIENT_DEVICE) && (index != 0)) {
 			return EINVAL;
 		}
@@ -234,6 +237,5 @@
 {
 	if (request_type == USB_REQUEST_TYPE_STANDARD) {
-		if ((recipient == USB_REQUEST_RECIPIENT_DEVICE) && (index != 0))
-		{
+		if ((recipient == USB_REQUEST_RECIPIENT_DEVICE) && (index != 0)) {
 			return EINVAL;
 		}
@@ -271,5 +273,6 @@
 	}
 
-	/* The wValue field specifies the descriptor type in the high byte
+	/*
+	 * The wValue field specifies the descriptor type in the high byte
 	 * and the descriptor index in the low byte. USB 1.1 spec p. 189
 	 */
